# NullLite

A "lightweight" vanilla-compatible Optimization/QoL modpack.

## Disclaimer

This modpack includes mods that slightly alter the client behavior (e.g.,
Inventory Profiles Next), as well as mods that certain servers may deem unfair
to Vanilla players (e.g., Xaero's Minimap). ***ALWAYS*** check the rules of
servers you play on to make sure this is allowed, or you may risk a ban.

Additionally, this modpack is mainly made for myself and a few friends. You are
free to use this modpack, but understand that my interest in Minecraft comes
and goes, and as such, ongoing support is not guaranteed.

This project is licensed under the GNU Affero General Public License, Version
3.0.

## Description

NullLite is a "lightweight" (50+ mods) vanilla-compatible modpack with
optimization mods and sane defaults. It comes bundled with well-known mods,
including Sodium, Iris, and Continuity, as well as some well-known shaders.
Built-in resource packs, such as the ones provided by Continuity, are enabled
by default. The modpack changes a few options in both Vanilla Minecraft and the
mods to provide a more streamlined experience.

I mainly created this because I was unhappy with the myriad of other modpack
choices always missing some mod that I like, and I was sick of constantly
recreating the same "modpack" in my launcher each time a new version came out,
forgetting some mods, changing a bunch of settings, forgetting other settings,
only to realize I forgot to download shaders.

Highlights include:
- Sodium
- Iris Shaders, with several shaders pre-bundled:
    - Rethinking Voxels
    - Complementary Reimagined
    - Complementary Shaders v4
    - BSL
    - MakeUp - Ultra Fast
    - VanillAA
- Figura (Custom Avatars)
- REI
- Xaero's Minimap, Xaero's World Map
- Inventory Profiles Next
    - Pre-bundled configuration with Vanilla-like defaults
- OptiFine Capes
- Various other performance mods

## License

    Copyright (C) 2023 NullBite
    
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published
    by the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.
    
    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.

---
:3
