# NullLite
This is a simple modpack that provides an enhanced, yet still vanilla
experience. I mainly made this because I got sick of essentially making the
same modpack over and over again manually.

## Installation
If you have Prism Launcher, the best way to install this is to import the
following instance. It comes pre-bundled with
[packwiz-installer-bootstrap](https://github.com/packwiz/packwiz-installer-bootstrap),
as well as a pre-configured pre-launch command which will keep the instance
up-to-date.
- https://b2.nullbite.com/file/nullbite-personal/fabric-lite/fabric-lite-minecraft-1.20.1.zip

Alternatively, install the `.mrpack` files from the [releases](https://gitea.protogen.io/nullbite/fabric-lite/releases) section.

## Credits
### Shaders
- BSL - CaptTatsu (https://bitslablab.com/)
- Complementary Shaders v4 - EminGT (https://modrinth.com/shader/complementary-shaders-v4)
- Complementary Reimagined - EminGT (https://modrinth.com/shader/complementary-reimagined)
- Rethinking Voxels - gri573, EnimGT (https://modrinth.com/shader/rethinking-voxels)
- MakeUp - javiergchim (https://modrinth.com/shader/makeup-ultra-fast-shaders)
- VanillAA - leo60228 (https://github.com/leo60228/VanillAA-Shaders)

### Mods
- AppleSkin - squeek502 (https://github.com/squeek502/AppleSkin)
- Architectury API - shedaniel (https://github.com/architectury/architectury)
- Auth Me - axieum (https://github.com/axieum/authme)
- BetterF3 - treyruffy (https://github.com/cominixo/BetterF3)
- Better Mount HUD - Lortseam (https://github.com/Lortseam/better-mount-hud)
- Borderless Mining - comp500 (https://github.com/comp500/BorderlessMining)
- Capes - caelthecolher (https://github.com/CaelTheColher/Capes)
- Carpet-Fixes - fxmorin (https://github.com/fxmorin/carpet-fixes)
- Carpet - gnembon (https://github.com/gnembon/fabric-carpet)
- CIT Resewn - shsupercm (https://github.com/SHsuperCM/CITResewn)
- Cloth Config API - shedaniel (https://github.com/shedaniel/ClothConfig/)
- Continuity - peppercode1 (https://github.com/PepperCode1/Continuity)
- Cull Less Leaves - isxander (https://github.com/isXander/CullLessLeaves)
- DashLoader - alphaqu (https://github.com/alphaqu/DashLoader)
- Dynamic FPS - juliand665 (https://github.com/juliand665/Dynamic-FPS)
- Entity Culling - tr7zw (https://github.com/tr7zw/EntityCulling)
- Entity Model Features [CEM] - Traben (https://github.com/Traben-0/Entity_Model_Features)
- Entity Texture Features - Traben (https://github.com/Traben-0/Entity_Texture_Features)
- Fabric API - sfPlayer1, modmuss50 (https://github.com/FabricMC/fabric)
- Fabric Language Kotlin - modmuss50 (https://github.com/FabricMC/fabric-language-kotlin/)
- FabricSkyboxes - AMereBagatelle (https://github.com/AMereBagatelle/fabricskyboxes)
- FabricSkyBoxes Interop - FlashyReese (https://github.com/FlashyReese/fabricskyboxes-interop)
- FerriteCore - malte0811 (https://github.com/malte0811/FerriteCore)
- Figura - Fran (https://github.com/Kingdom-of-The-Moon/FiguraRewriteRewrite)
- ImmediatelyFast - RaphiMC (https://github.com/RaphiMC/ImmediatelyFast)
- Indium - comp500 (https://github.com/comp500/Indium)
- Inventory Profiles Next - blackd (https://github.com/blackd/Inventory-Profiles)
- Iris Shaders - coderbot (https://github.com/IrisShaders/Iris)
- Krypton - astei (https://github.com/astei/krypton)
- LambDynamicLights - LambdAurora (https://github.com/LambdAurora/LambDynamicLights)
	- Custom build from Pull Request [#156](https://github.com/LambdAurora/LambDynamicLights/pull/156)
- Language Reload - Jerozgen (https://github.com/Jerozgen/LanguageReload)
- libIPN - blackd (https://github.com/blackd/libIPN)
- Lithium - jellysquid3 (https://github.com/jellysquid3/lithium-fabric)
- Memory Leak Fix - fxmorin (https://github.com/fxmorin/memoryLeakFix)
- MidnightControls - Motschen (https://github.com/TeamMidnightDust/MidnightControls)
- MixinTrace - comp500 (https://github.com/comp500/mixintrace)
- Mod Menu - Prospector (https://github.com/TerraformersMC/ModMenu)
- MoreChatHistory - JackFred2 (https://github.com/JackFred2/MoreChatHistory)
- Mouse Tweaks - YaLTeR (https://github.com/YaLTeR/MouseTweaks)
- No Chat Reports - Aizistral (https://github.com/Aizistral-Studios/No-Chat-Reports)
- OptiGUI - opekope2 (https://github.com/opekope2/OptiGUI)
- Presence Footsteps - Sollace (https://github.com/Sollace/Presence-Footsteps)
- Puzzle - Motschen (https://github.com/PuzzleMC/Puzzle)
- Reese's Sodium Options - FlashyReese (https://github.com/FlashyReese/reeses-sodium-options)
- Roughly Enough Items (REI) - shedaniel (https://github.com/shedaniel/RoughlyEnoughItems)
- Screenshot to Clipboard - comp500 (https://github.com/comp500/ScreenshotToClipboard)
- Sodium Extra - FlashyReese (https://github.com/FlashyReese/sodium-extra-fabric)
- Sodium - jellysquid3 (https://github.com/CaffeineMC/sodium-fabric)
- spark - lucko (https://github.com/lucko/spark)
- Starlight (Fabric) - spottedleaf (https://github.com/PaperMC/Starlight)
- Xaero's Minimap - thexaero (https://modrinth.com/mod/xaeros-minimap)
- Xaero's World Map - thexaero (https://modrinth.com/mod/xaeros-world-map)
- YetAnotherConfigLib - isxander (https://github.com/isXander/YetAnotherConfigLib)
- Your Options Shall Be Respected (YOSBR) - shedaniel (https://github.com/shedaniel/your-options-shall-be-respected)
- Zoomify - isxander (https://github.com/isXander/Zoomify)
